package org.apache.maven.shared.release.transform.jdom2;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.apache.maven.shared.release.transform.ModelETLRequest;
import org.apache.maven.shared.release.transform.ModelETLFactory;
import org.codehaus.plexus.component.annotations.Component;

/**
 * <p>JDomModelETLFactory class.</p>
 *
 * @author Robert Scholte
 * @since 3.0
 */
@Component( role = ModelETLFactory.class, hint = JDomModelETLFactory.ROLE_HINT )
public class JDomModelETLFactory implements ModelETLFactory
{
    /** Constant <code>ROLE_HINT="jdom2-sax"</code> */
    public static final String ROLE_HINT = "jdom2-sax";

    @Override
    public JDomModelETL newInstance( ModelETLRequest request )
    {
        JDomModelETL result = new JDomModelETL();

        result.setLs( request.getLineSeparator() );
        result.setProject( request.getProject() );
        result.setReleaseDescriptor( request.getReleaseDescriptor() );

        return result;
    }
}
